<form (ngSubmit)="submit()" [formGroup]="productForm">
    <div class="form">
        <mat-form-field>
            <input matInput type="text" id="label"
                class="form-control" placeholder="label"
                [formControl]="productForm.get('label')"/>
            <mat-error class="field-error" *ngIf="productForm.get('label').hasError('required')">
                required!
            </mat-error>
        </mat-form-field>
    </div>
    <div class="form">
        <mat-form-field appearance="fill">
            <mat-select [formControl]="productForm.get('category')">
                <mat-option *ngFor="let cat of categories"
                    [value]="cat.id">
                    {{ cat.label }}
                </mat-option>
            </mat-select>
            <mat-error class="field-error" *ngIf="productForm.get('category').hasError('required')">
                required!
            </mat-error>
        </mat-form-field>
    </div>
    <div class="form">
        <mat-form-field>
            <input matInput type="number" id="price"
                class="form-control" placeholder="price"
                [formControl]="productForm.get('price')"/>
            <mat-error class="field-error" *ngIf="productForm.get('price').hasError('required')">
                required!
            </mat-error>
        </mat-form-field>
    </div>
    <div class="form">
        <input matInput type="number" id="quantity"
            class="form-control" placeholder="quantity"
            [formControl]="productForm.get('quantity')"/>
        <mat-error class="field-error" *ngIf="productForm.get('quantity').hasError('required')">
            required!
        </mat-error>
    </div>
    <button type="submit" class="btn btn-primary">
        {{ edit ? "Edit" : "Create" }}
    </button>
</form>